%define module curl

Summary:	A Python interface to libcurl
Name:		python-%{module}
Version:	7.19.0
Release:	%mkrel 2
Group:		Development/Python
License:	LGPLv2+
URL:		http://pycurl.sourceforge.net
Source0:	http://pycurl.sourceforge.net/download/pycurl-%{version}.tar.gz
BuildRequires:  python-devel
BuildRequires:  curl-devel >= 7.16.0
%py_requires -d
BuildRoot:      %{_tmppath}/%{name}-%{version}-buildroot

%description
PycURL is a Python interface to libcurl. PycURL can be used to fetch
objects identified by a URL from a Python program, similar to the
urllib Python module. PycURL is mature, very fast, and supports a lot
of features.

%prep
%setup -qn pycurl-%{version}
chmod a-x examples/*

%build
env CFLAGS="%{optflags} -DHAVE_CURL_OPENSSL" %{__python} setup.py build

%check
%{__python} tests/test_internals.py -q

%install
rm -rf %{buildroot}
%{__python} setup.py install --skip-build --root=%{buildroot} --optimize=2
rm -rf %{buildroot}%{_datadir}/doc/pycurl
 
%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc COPYING ChangeLog README TODO examples doc tests
%{python_sitearch}/*


%changelog
* Fri Dec 26 2008 Adam Williamson <awilliamson@mandriva.com> 7.19.0-2mdv2009.1
+ Revision: 319516
- rebuild with python 2.6

* Sun Sep 14 2008 Per Øyvind Karlsen <peroyvind@mandriva.org> 7.19.0-1mdv2009.0
+ Revision: 284779
- new release

* Wed Sep 10 2008 Per Øyvind Karlsen <peroyvind@mandriva.org> 7.18.2-1mdv2009.0
+ Revision: 283580
- new release

* Fri Aug 01 2008 Thierry Vignaud <tvignaud@mandriva.com> 7.16.4-5mdv2009.0
+ Revision: 259529
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tvignaud@mandriva.com> 7.16.4-4mdv2009.0
+ Revision: 247398
- rebuild

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 7.16.4-2mdv2008.1
+ Revision: 136447
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Sep 14 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 7.16.4-2mdv2008.0
+ Revision: 85589
- rework spec file
  add checks
  tune up CFLAGS

  + Götz Waschk <waschk@mandriva.org>
    - fix license

* Thu Sep 06 2007 Götz Waschk <waschk@mandriva.org> 7.16.4-1mdv2008.0
+ Revision: 80680
- new version
- update license tag


* Wed Nov 29 2006 Götz Waschk <waschk@mandriva.org> 7.15.5.1-1.20061108.1mdv2007.0
+ Revision: 88787
- Import python-curl

* Wed Nov 29 2006 Gtz Waschk <waschk@mandriva.org> 7.15.5.1-1.20061108.1mdv2007.1
- cvs snapshot

* Tue May 03 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 7.13.2-2mdk
- BuildRequires : need recent curl

* Tue May 03 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 7.13.2-1mdk
- 7.13.2

* Sat Dec 04 2004 Michael Scherer <misc@mandrake.org> 7.12.2-2mdk
- Rebuild for new python

* Tue Nov 23 2004 Gtz Waschk <waschk@linux-mandrake.com> 7.12.2-1mdk
- initial package

